/*
 * @Author: jixiang
 * @Date: 2021-04-07 11:06:09
 * @LastEditTime: 2021-07-08 16:01:13
 * @LastEditors: Please set LastEditors
 * @Description:
 * @FilePath: /vite-project/src/store/index.ts
 * 56580223@qq.com
 */
import { createStore, createLogger, Store } from 'vuex';
import mutations from './mutations';
import modules from './modules';
import { StateType } from '@/@type';
import { InjectionKey } from 'vue';

export const key: InjectionKey<Store<StateType>> = Symbol();

const store: Store<StateType> = createStore({
  strict: true,
  mutations,
  actions: {},
  modules: { ...modules },
});

export default store;
